Bug Hunting Session
Bug 38455 - Calc crash when handling "Define Database Range"
Summary: Calc crash when handling "Define Database Range"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: Other All
: medium major
Assignee: Markus Mohrhard
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-18 13:11 UTC by jun meguro
Modified: 2011-06-23 04:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jun meguro 2011-06-18 13:11:43 UTC
1,Open new Spread sheet.
2,Data > Define range.
3,Don't input anything to Name.
4,Click  some cells behind dialog.
5,Type some text.
6,Calc will crash.
Comment 1 Jean-Baptiste Faure 2011-06-19 00:44:24 UTC
Reproducible with LibreOffice 3.4.1 rc1 under Ubuntu 10.04 x86_64 with langpack FR.

Best regards. JBF
Comment 2 Markus Mohrhard 2011-06-20 11:10:48 UTC
I have a look at it.
Comment 3 Markus Mohrhard 2011-06-20 12:03:13 UTC
Ok, fixed the crash in master and asked for sign-off for 3-4 and 3-4-1.
Comment 4 Arseny Solokha 2011-06-23 04:10:00 UTC
Reproducible w/ LibreOffice 3.3.3.1 on x86_64. The fix should probably be backported to 3.3 branch, as this bug is a crasher and 3.3 branch will be maintained until the end of the year.